Subject: Re: bug#51155: 29.0.50; Incorrect weight used in Cantarell VF

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Oct 2021 22:29:00 +0200

Eli Zaretskii <[email-masked]> writes:

>> Weight table:
>> 
>> | Face       | Weight |
>> |------------+--------|
>> | Extra bold |    205 |
>> | Bold       |    200 |
>> | Regular    |     80 |
>> | Light      |     50 |
>
> I think that's the problem: Emacs thinks that Regular should have the
> weight of 100, see font.c.

So this is basically bug#32210 again, I think?

When we last discussed this (a couple years ago), I said I'd try to look
into this complex issue, so perhaps now's the time.  I'll start poking
at this morass tomorrow, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no